[Orc Shaman Class Transfer]:
The Orc Shaman must successfully complete three quests. The Trial of the Pilgrim may be undertaken by a player of level 35 or above. This quest begins by meeting with Hermit Santiago in a farmhouse near the Orc Barracks in Gludio. The Testimony of Glory may only be undertaken by a player of level 37 or above. This quest begins by meeting with Prefect Vokian of Giran Castle Town. Finally, the Test of the Lord may be undertaken by a player of level 39 or above. This quest begins by meeting with Flame Lord Kakai in the Orc Village.
Return
Close Window